# $Revision: 1.6 $, $Date: 2002/07/12 15:28:25 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	QuickForm
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_class}_%{_subclass} - methods for creating, validating, processing HTML forms
Summary(pl):	%{_class}_%{_subclass} - metody do tworzenia, kontroli i przetwarzania formularzy HTML
Name:		php-pear-%{_pearname}
Version:	2.3
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
Patch0:		%{name}-cosmetic.patch
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PEAR::HTML_QuickForm package provides methods for creating,
validating, processing HTML forms. Features:
- Creates xHTML compliant form elements of various type.
- Allows you to choose an unlimited number of html attributes.
- Allows you to create your own custom elements using your own
  classes.
- Process form values (you should override the process method).
- Creates javascript validation code using regular expression.
- Server-side validation too.
- Allows you to create your own validation rules.
- Manages file uploads.
- Allows you to freeze some elements in your form.
- Allows you to customize the look of your form in many ways.
- Template-like form elements customization...

%description -l pl
Klasa HTML_QuickForm zawiera metody to tworzenia, kontroli poprawnoci
i przetwarzania formularzy HTML. Cechy:
- tworzy elementy formularzy rnego typu zgodnie z xHTML
- pozwala na wybr nieograniczonej liczby atrybutw HTML
- pozwala tworzy wasne elementy przy uyciu wasnych klas
- przetwarza wartoci z formularzy (naley podmieni metod process)
- tworzy kod sprawdzajcy w JavaScripcie przy uyciu wyrae
  regularnych
- kontroluje poprawno wprowadzonych danych take po stronie serwera
- pozwala na tworzenie wasnych regu kontrolujcych poprawno
- obsuguje upload plikw
- pozwala na "zamroenie" niektrych elementw formularza
- pozwala na zmian wygldu formularza na wiele sposobw
- modyfikacja elementw formularzy poprzez wzorce.

%prep
%setup -q -c
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/
install %{_pearname}-%{version}/%{_subclass}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%doc %{_pearname}-%{version}/docs/*
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-HTML_QuickForm.spec,v $
Revision 1.6  2002/07/12 15:28:25  blues
- release 3
- rebuild with new rpm
- cosmetic patch - dependencies are generated correctly now

Revision 1.5  2002/07/04 00:53:42  kloczek
- release 2.

Revision 1.4  2002/07/02 10:23:25  blues
- req. php-pear

Revision 1.3  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.2  2002/06/30 12:24:58  qboosh
- pl description

Revision 1.1  2002/06/25 13:40:35  blues
- initial (this CVS is annoing now...)
